| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
Ogre::CreateGpuSharedParametersScriptCompilerEvent Class Reference
Core » General

`#include <OgreScriptCompiler.h>`

Inheritance diagram for Ogre::CreateGpuSharedParametersScriptCompilerEvent:
[legend]

## Public Member Functions
| CreateGpuSharedParametersScriptCompilerEvent (const String &file, const String &name, const String &resourceGroup)

## Public Attributes
String | mFile
String | mName
String | mResourceGroup
String | mType

## Static Public Attributes
static String | eventType

## Constructor & Destructor Documentation

## ◆ CreateGpuSharedParametersScriptCompilerEvent()

Ogre::CreateGpuSharedParametersScriptCompilerEvent::CreateGpuSharedParametersScriptCompilerEvent | ( | const String & | file,
|  | const String & | name,
|  | const String & | resourceGroup
| ) |  |
| inline

## Member Data Documentation

## ◆ mFile

String Ogre::CreateGpuSharedParametersScriptCompilerEvent::mFile

## ◆ mName

String Ogre::CreateGpuSharedParametersScriptCompilerEvent::mName

## ◆ mResourceGroup

String Ogre::CreateGpuSharedParametersScriptCompilerEvent::mResourceGroup

## ◆ eventType

String Ogre::CreateGpuSharedParametersScriptCompilerEvent::eventType
| static

## ◆ mType

String Ogre::ScriptCompilerEvent::mType
| inherited

The documentation for this class was generated from the following file:

- OgreScriptCompiler.h